[vdr] Can not run reliably VDR > 1.3.24

Kari Smolander kari.smolander at pp.inet.fi
Thu Dec 22 06:04:21 CET 2005


Hi,
I have an up and running VDR 1.3.24. I have been trying to upgrade it to a
newer version, but there is a feature/bug that prevents me from doing that.
I have tried 1.3.34 and 1.3.37, but they seem not to run reliably.

These versions start perfectly, all functionality is working, but when I
leave them running, they lose completely sound and picture after some
hours. OSD and menus are still working and you can even watch recordings,
but live-TV does not show. There is nothing unusual in the logs. Even
restart of VDR does not help - you have to reboot the whole computer.

This does not happen with 1.3.24. I have not tried the versions between
1.3.24 and 1.3.34.

My configuration:

0000:00:12.0 Multimedia controller: Sigma Designs, Inc. REALmagic Hollywood
Plus DVD Decoder (rev 02)
0000:00:13.0 Network controller: Techsan Electronics Co Ltd B2C2 FlexCopII
DVB chip / Technisat SkyStar2 DVB card (rev 02)

Both em8300 and skystar2 have their own interrupts.

DVB drivers are compiled as modules from a custom 2.6.14 kernel and dxr3
modules from em8300-0.15.1:

Module                  Size  Used by
adv717x                 7092  0 
b2c2_flexcop_pci        6360  15 
b2c2_flexcop           25836  1 b2c2_flexcop_pci
dvb_core               75880  1 b2c2_flexcop
mt352                   6244  1 b2c2_flexcop
bcm3510                10084  1 b2c2_flexcop
stv0299                10888  1 b2c2_flexcop
nxt2002                 8868  1 b2c2_flexcop
stv0297                 7968  1 b2c2_flexcop
mt312                   7876  1 b2c2_flexcop
em8300                 66460  8 

VDR startup command:

./vdr --config=/home/VDRrun --epg=/home/VDRrun/epg.data --watchdog=60
--lib=./PLUGINS/lib --video=/home/movies/video -Pdxr3 -Posdteletext
-Psubtitles -P"vdrcd -m /home/VDRrun/mount.sh -c /mnt/cdrom" -Ptext2skin

Plugin versions
dxr3 0.2.4
osdteletext 0.5.1
subtitles 0.3.8
vdrcd 0.0.10.1
text2skin CVS

I have tried this both with
export LD_ASSUME_KERNEL=2.4.1
and without. There is no difference.
Any idea what is wrong here?

Kari





More information about the vdr mailing list